fop 1.1

## org.apache.fop.fo.properties
Class CommonMarginInline

    java.lang.Object
      org.apache.fop.fo.properties.CommonMarginInline

    public class CommonMarginInline

extends java.lang.Object

Store all common margin properties for inlines. See Sec. 7.11 of the XSL-FO Standard. Public "structure" allows direct member access.

Field Summary
`Length` `marginBottom` The "margin-bottom" property.
`Length` `marginLeft` The "margin-left" property.
`Length` `marginRight` The "margin-right" property.
`Length` `marginTop` The "margin-top" property.
`SpaceProperty` `spaceEnd` The "space-end" property.
`SpaceProperty` `spaceStart` The "space-start" property.

Constructor Summary
`CommonMarginInline(PropertyList pList)` Create a CommonMarginInline object.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### marginTop

    public Length marginTop

  The "margin-top" property.

### marginBottom

    public Length marginBottom

  The "margin-bottom" property.

### marginLeft

    public Length marginLeft

  The "margin-left" property.

### marginRight

    public Length marginRight

  The "margin-right" property.

### spaceStart

    public SpaceProperty spaceStart

  The "space-start" property.

### spaceEnd

    public SpaceProperty spaceEnd

  The "space-end" property.

Constructor Detail

### CommonMarginInline

    public CommonMarginInline(PropertyList pList)
                       throws PropertyException

  Create a CommonMarginInline object.

  Parameters:
    `pList` - The PropertyList with propery values.
  Throws:
    `PropertyException` - if a property exception occurs

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.